> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fuse.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Non Fungible NFT Token Balances



## OpenAPI

````yaml /api-references/balances-api.yaml get /nft-assets/{address}
openapi: 3.0.0
info:
  title: Balances API
  description: >
    The Balances API provides endpoints to query wallet balances for NFTs and
    ERC20 tokens.
  version: 1.0.0
servers:
  - url: https://api.fuse.io/api/v0/balances
    description: Production server
security: []
tags:
  - name: NFT tokens
    description: >-
      The NFT Assets API lets you get all ERC-721 and ERC-1155 NFT assets owned
      by an address.
  - name: ERC20 tokens
    description: >-
      The ERC20 Assets API lets you get all ERC20 tokens owned by an address
      including the native token.
paths:
  /nft-assets/{address}:
    get:
      tags:
        - NFT tokens
      summary: Get Non Fungible NFT Token Balances
      parameters:
        - $ref: '#/components/parameters/ApiKey'
        - name: address
          in: path
          required: true
          schema:
            type: string
          description: The wallet address to query for associated NFTs.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 100
          description: The maximum number of NFTs to return per request. Default is 100.
        - name: cursor
          in: query
          required: false
          schema:
            type: string
          description: >-
            Cursor for pagination. Use the nextCursor from the previous response
            to fetch the next page.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NftBalancesResponse'
        '403':
          $ref: '#/components/responses/ForbiddenError'
components:
  parameters:
    ApiKey:
      name: apiKey
      in: query
      required: true
      schema:
        type: string
      description: Your API key to authenticate requests.
  schemas:
    NftBalancesResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            account:
              type: object
              properties:
                address:
                  type: string
                collectibles:
                  type: array
                  items:
                    $ref: '#/components/schemas/NftCollectible'
        nextCursor:
          type: string
          nullable: true
          description: >-
            Cursor to use for fetching the next page of results. Null if there
            are no more results.
    NftCollectible:
      type: object
      properties:
        collection:
          type: object
          properties:
            collectionAddress:
              type: string
            collectionName:
              type: string
            collectionSymbol:
              type: string
        created:
          type: string
        creator:
          type: object
          properties:
            id:
              type: string
        description:
          type: string
        descriptorUri:
          type: string
        id:
          type: string
        imageURL:
          type: string
        name:
          type: string
        owner:
          type: object
          properties:
            id:
              type: string
        tokenId:
          type: string
  responses:
    ForbiddenError:
      description: Access to the resource is forbidden.
      content:
        application/json:
          schema:
            type: object
            properties:
              statusCode:
                type: integer
              errorMessage:
                type: string
              error:
                type: string

````